package com.hzjt.mapper;

import com.hzjt.domain.Vehicle;
import com.hzjt.domain.Vehicles;
import com.hzjt.domain.Vehiclesdetail;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TraffFlowMapper {
     int add(Vehicles excelModel);

    int insertlist(Vehicle vehiclesdetail);

    List<Map> selectFiveAndDayFlow(String videoid);

    List<Map> selectFiveAndTypeDayFlow(String videoid);

    Integer  statisVehiclesByDay();

    Integer  deleteBeforeTwoMonthVehiclesDetails();

    Integer  deleteVehiclesByDay();

    Integer  insertOrUpdatevehicleTodaystatistic();

    String selectSbtddspsrRtspByVideoid(String videoid);
}
